Bug 1272144 - [Docs] [Director] Basic Deployment Guide Does Not Include Deployment Paramaters
[Docs] [Director] Basic Deployment Guide Does Not Include Deployment Paramaters
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity medium
: y2
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 10:47 EDT by Dan Sneddon
Modified: 2017-05-11 23:00 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 20:22:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Sneddon 2015-10-15 10:47:28 EDT
Description of problem:
In the basic deployment guide, we only give the most basic command-line parameters. However, most of the time you need to enter additional parameters to end up with a successful deployment. We cover a lot of CLI parameters in the Advanced Deployment section, but not in the Basic Deployment.

Steps to Reproduce:
1. Follow Basic Deployment guide
2. Deploy with "openstack overcloud deploy --templates"
3. (Probably fail to deploy)

Actual results:
In the majority of cases, additional parameters will be required, so the deployment will fail, or hang, or will complete but be non-functional.

Expected results:
The Basic Deployment guide should indicate which additional CLI parameters will be required under certain scenarios.

Additional info:
If the deployment is on virt, then the paramater '--libvirt-type qemu' is required.

If the deployment is on bare metal, then '--neutron-public-interface <NIC>' should be used to indicate which NIC will be used for the external bridge (br-ex).

The '--ntp-server <HOST>' should be used to make sure the computes and controllers don't skew too far apart (which can create token timeout errors), this is absolutely required for HA deployments

The '--neutron-network-type' and '--neutron-tunnel-types' parameters are valid for a Basic deployment, but we don't document them.

Examples should be given for different quantities of hosts:

1 controller + 1 compute: openstack deploy blahblahblah

HA: 3 controllers + 2 compute + 3 ceph: openstack deploy blahblahblah
Comment 2 John Trowbridge 2015-10-15 11:59:26 EDT
was this meant to be filed against Director? It is posted to rdo-list.
Comment 3 Dan Sneddon 2015-10-15 16:13:58 EDT
(In reply to John Trowbridge from comment #2)
> was this meant to be filed against Director? It is posted to rdo-list.

No, that was a mistake on my part. Thanks for catching it.
Comment 4 Andrew Dahms 2015-10-20 08:40:11 EDT
Assigning to Dan for review.
Comment 10 Dan Macpherson 2016-02-29 20:22:22 EST
No response in over a month. Closing this BZ. If changes are required, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.